<div class='card'>
    <div class='card-header'>
      {{pageTitle}}
    </div>
    <div class='card-body'>


      <div class='table-responsive' id ='prod-div'>
        <table class='table'
               *ngIf='product && product.length'>
          <thead>
            <tr>
        
              <th>Scode</th>
              <th>Description</th>
              <th>Icc</th>
          

            </tr>
          </thead>
          <tbody>
            <tr *ngFor='let product of product'>
           
              <td>{{ product.scode}}</td>
              <td>{{ product.description}}</td>
              <td>{{ product.icc}}</td>
          
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <div *ngIf='errorMessage'
       class='alert alert-danger'>
    Error: {{ errorMessage }}
  </div>